#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n,x,res;
    cin >> n >> x;
    int i,niz[n];
    for(i=0;i<n;i++)
    {
        cin >> niz[i];
    }
    int Min=niz[0],Max=niz[0];
    for(i=1;i<n;i++)
    {
        if(niz[i]<Min)
            Min=niz[i];
    }
    for(i=1;i<n;i++)
    {
        if(niz[i]>Max)
            Max=niz[i];
    }
    if(Min>x)
    {
        res=Max-x;
        cout << res;
        return 1;
    }
    if(Max<x)
    {
        res=x-Min;
        cout << res;
        return 2;
    }
    if(Max-x>=x-Min)
    {
        res=2*x-2*Min+Max-x;
        cout << res;
        return 3;
    }
    else
    {
        res=2*Max-2*x+x-Min;
        cout << res;
    }
    return 0;
}